javax.resource.spi

## Interface LazyAssociatableConnectionManager

-     public interface LazyAssociatableConnectionManager

  This is a mix-in interface that may be optionally implemented by a `ConnectionManager` implementation. An implementation of this interface must support the lazy connection association optimization.
  Version:
    1.0
  Author:
    Ram Jeyaraman

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `associateConnection(java.lang.Object connection, ManagedConnectionFactory mcf, ConnectionRequestInfo cxReqInfo)` This method is called by a resource adapter (that is capable of lazy connection association optimization) in order to lazily associate a connection object with a `ManagedConnection` instance.
    `void` | `inactiveConnectionClosed(java.lang.Object connection, ManagedConnectionFactory mcf)` This method is called by the resource adapter (that is capable of lazy connection association optimization) in order to notify the application server that a disassociated connection handle is closed.

- - ### Method Detail

    - #### associateConnection

          void associateConnection(java.lang.Object connection,
                                   ManagedConnectionFactory mcf,
                                   ConnectionRequestInfo cxReqInfo)
                            throws ResourceException

      This method is called by a resource adapter (that is capable of lazy connection association optimization) in order to lazily associate a connection object with a `ManagedConnection` instance.
      Parameters:
        `connection` - the connection object that is to be associated.
        `mcf` - The `ManagedConnectionFactory` instance that was originally used to create the connection object.
        `cxReqInfo` - connection request information. This information must be the same as that used to originally create the connection object.
      Throws:
        `ResourceException` - Generic exception.
        `ApplicationServerInternalException` - Application server specific exception.
        `SecurityException` - Security related error.
        `ResourceAllocationException` - Failed to allocate system resources for connection request.
        `ResourceAdapterInternalException` - Resource adapter related error condition.

    - #### inactiveConnectionClosed

          void inactiveConnectionClosed(java.lang.Object connection,
                                        ManagedConnectionFactory mcf)

      This method is called by the resource adapter (that is capable of lazy connection association optimization) in order to notify the application server that a disassociated connection handle is closed.

      The application server can then perform any cleanup operations related to the disassociated connection handle in its connection pool.

      Parameters:
        `connection` - the disassociated connection object handle that has been closed
        `mcf` - The `ManagedConnectionFactory` instance that was originally used to create the connection object.
      Since:
        1.6

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)